# List Drafts (/api-reference/list-drafts-2)

<!-- agent-signals: reading_time_min: 3 · est_tokens: 2352 · updated: 2026-09-06 -->
Related: [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Get Inbox](/api-reference/get-inbox.md), [Update Inbox](/api-reference/update-inbox.md), [Delete Inbox](/api-reference/delete-inbox.md), [List Pods](/api-reference/list-pods.md)

# List Drafts

`GET /v0/inboxes/{inbox_id}/drafts`

List Drafts

## OpenAPI

```json
{
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "inbox_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "inboxesInboxId",
        "type": "string",
        "description": "ID of inbox."
      }
    },
    {
      "name": "limit",
      "in": "query",
      "required": false,
      "schema": {
        "title": "Limit",
        "type": "integer",
        "description": "Limit of number of items returned."
      }
    },
    {
      "name": "page_token",
      "in": "query",
      "required": false,
      "schema": {
        "title": "PageToken",
        "type": "string",
        "description": "Page token for pagination."
      }
    },
    {
      "name": "labels",
      "in": "query",
      "required": false,
      "schema": {
        "title": "Labels",
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Labels to filter by."
      }
    },
    {
      "name": "before",
      "in": "query",
      "required": false,
      "schema": {
        "title": "Before",
        "type": "string",
        "format": "date-time",
        "description": "Timestamp before which to filter by."
      }
    },
    {
      "name": "after",
      "in": "query",
      "required": false,
      "schema": {
        "title": "After",
        "type": "string",
        "format": "date-time",
        "description": "Timestamp after which to filter by."
      }
    },
    {
      "name": "ascending",
      "in": "query",
      "required": false,
      "schema": {
        "title": "Ascending",
        "type": "boolean",
        "description": "Sort in ascending temporal order."
      }
    }
  ],
  "responses": {
    "200": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ListDraftsResponse",
            "type": "object",
            "properties": {
              "count": {
                "title": "Count",
                "type": "integer",
                "description": "Number of items returned."
              },
              "limit": {
                "title": "Limit",
                "type": "integer",
                "description": "Limit of number of items returned."
              },
              "next_page_token": {
                "title": "PageToken",
                "type": "string",
                "description": "Page token for pagination."
              },
              "drafts": {
                "type": "array",
                "items": {
                  "title": "DraftItem",
                  "type": "object",
                  "properties": {
                    "inbox_id": {
                      "title": "inboxesInboxId",
                      "type": "string",
                      "description": "ID of inbox."
                    },
                    "thread_id": {
                      "title": "ThreadId",
                      "type": "string",
                      "description": "ID of thread."
                    },
                    "draft_id": {
                      "title": "DraftId",
                      "type": "string",
                      "description": "ID of draft."
                    },
                    "labels": {
                      "title": "DraftLabels",
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Labels of draft."
                    },
                    "to": {
                      "title": "DraftTo",
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Addresses of recipients. In format `username@domain.com` or `Display Name <username@domain.com>`."
                    },
                    "cc": {
                      "title": "DraftCc",
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Addresses of CC recipients. In format `username@domain.com` or `Display Name <username@domain.com>`."
                    },
                    "bcc": {
                      "title": "DraftBcc",
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Addresses of BCC recipients. In format `username@domain.com` or `Display Name <username@domain.com>`."
                    },
                    "subject": {
                      "title": "DraftSubject",
                      "type": "string",
                      "description": "Subject of draft."
                    },
                    "preview": {
                      "title": "DraftPreview",
                      "type": "string",
                      "description": "Text preview of draft."
                    },
                    "attachments": {
                      "title": "DraftAttachments",
                      "type": "array",
                      "items": {
                        "title": "Attachment",
                        "type": "object",
                        "properties": {
                          "attachment_id": {
                            "title": "AttachmentId",
                            "type": "string",
                            "description": "ID of attachment."
                          },
                          "filename": {
                            "title": "AttachmentFilename",
                            "type": "string",
                            "description": "Filename of attachment."
                          },
                          "size": {
                            "title": "AttachmentSize",
                            "type": "integer",
                            "description": "Size of attachment in bytes."
                          },
                          "content_type": {
                            "title": "AttachmentContentType",
                            "type": "string",
                            "description": "Content type of attachment."
                          },
                          "content_disposition": {
                            "title": "AttachmentContentDisposition",
                            "type": "string",
                            "enum": [
                              "inline",
                              "attachment"
                            ],
                            "description": "Content disposition of attachment."
                          },
                          "content_id": {
                            "title": "AttachmentContentId",
                            "type": "string",
                            "description": "Content ID of attachment."
                          }
                        },
                        "required": [
                          "attachment_id",
                          "size"
                        ]
                      },
                      "description": "Attachments in draft."
                    },
                    "send_status": {
                      "title": "DraftSendStatus",
                      "type": "string",
                      "enum": [
                        "scheduled",
                        "sending",
                        "failed"
                      ],
                      "description": "Schedule send status of draft."
                    },
                    "send_at": {
                      "title": "DraftSendAt",
                      "type": "string",
                      "format": "date-time",
                      "description": "Time at which to schedule send draft."
                    },
                    "updated_at": {
                      "title": "DraftUpdatedAt",
                      "type": "string",
                      "format": "date-time",
                      "description": "Time at which draft was last updated."
                    }
                  },
                  "required": [
                    "inbox_id",
                    "thread_id",
                    "draft_id",
                    "labels",
                    "updated_at"
                  ]
                },
                "description": "Ordered by `updated_at` descending."
              }
            },
            "required": [
              "count",
              "drafts"
            ]
          }
        }
      }
    },
    "404": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "message": {
                "type": "string",
                "description": "Error message."
              }
            },
            "required": [
              "name",
              "message"
            ]
          }
        }
      }
    }
  }
}
```
